=== debian/changelog ===
hepmc (2.06.08-1) unstable; urgency=low

  * Initial release (Closes: #636976)

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 20 May 2012 14:26:51 +0800
