=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS MAKEFLAGS

clean:
	dh_testdir
	dh_autoreconf_clean
	dh_auto_clean
	dh_clean

configure-stamp:
	dh_testdir
	dh_autoreconf
	dh_auto_configure -- \
		--with-momentum=GEV \
		--with-length=MM \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	touch $@

override_dh_auto_install:
	dh_testdir
	dh_auto_install
	rm -f debian/tmp/usr/share/HepMC/examples/pythia8/config.sh
	rm -f debian/tmp/usr/share/HepMC/examples/pythia8/config.csh
	rm -f debian/tmp/usr/share/HepMC/examples/pythia8/README

build-arch: configure-stamp
	dh_testdir
	$(MAKE) $(MAKEFLAGS)

build-indep: configure-stamp
	dh_testdir
	cd doc; ./buildDoc.sh

build: build-arch

binary-arch: build-arch
	dh $@

binary-indep: build-indep
	dh $@

binary: binary-arch binary-indep

.PHONY: build build-arch build-indep binary binary-arch binary-indep
