=== debian/watch ===
version=3

http://lcgapp.cern.ch/project/simu/HepMC/download/index.html HepMC-([\d\.]+).tar.gz
