## hepmc 2.06.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # project name and version
 project(HepMC)
-set( version 2.06.08 )
+set( version 2.06.09 )
 
 if ( momentum )
   set( HEPMC_DEFAULT_MOM_UNIT ${momentum} )
