=== debian/changelog ===
hepmc (2.06.09-1) unstable; urgency=low

  * New upstream.
  * debian/control: move doxygen-latex, ghostscript, texlive-math-extra to
    build-dep-indep.
  * debian/copyright: fix licence version.
  * debian/rules: support get-orig-source rule.

 -- Lifeng Sun <lifongsun@gmail.com>  Thu, 21 Jun 2012 19:59:00 +0800
