=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, doxygen-latex, ghostscript, texlive-math-extra, dh-autoreconf
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf
+Build-Depends-Indep: doxygen-latex, ghostscript, texlive-math-extra
 Standards-Version: 3.9.3
 Homepage: http://lcgapp.cern.ch/project/simu/HepMC/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/hepmc.git
