=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-#
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-#
-# Modified to make a template file for a multi-binary package with separated
-# build-arch and build-indep targets  by Bill Allombert 2001
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -24,10 +14,26 @@
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+	NUMJOBS := 1
 endif
 
-export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS MAKEFLAGS
+export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS
+
+# package name
+PKGNAME=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f1))
+
+# current Debian package version
+DEBVER=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()'))
+
+# current upstream version (remove any epoch and Debian release number)
+UPVER=$(shell echo $(DEBVER) | sed -e 's/-[^-]*$$//' -e 's/^[^:]*://')
+
+../$(PKGNAME)_$(UPVER).orig.tar.gz:
+	./debian/get-orig-source --upstream-version $(UPVER) $@
+
+get-orig-source: ../$(PKGNAME)_$(UPVER).orig.tar.gz
 
 clean:
 	dh_testdir
@@ -53,7 +59,7 @@
 
 build-arch: configure-stamp
 	dh_testdir
-	$(MAKE) $(MAKEFLAGS)
+	$(MAKE) -j$(NUMJOBS)
 
 build-indep: configure-stamp
 	dh_testdir
@@ -69,4 +75,4 @@
 
 binary: binary-arch binary-indep
 
-.PHONY: build build-arch build-indep binary binary-arch binary-indep
+.PHONY: build build-arch build-indep binary binary-arch binary-indep get-orig-source
